import React, { ReactNode } from 'react';
type Props = {
    title?: string | ReactNode;
    onOk?: (e: any) => void;
    onCancel?: (e: any) => void;
    closeCb?: () => void;
    footer?: ReactNode | boolean;
    renderClose?: ReactNode | boolean;
    content?: ReactNode;
    onClose?: () => void;
    okText?: string;
    cancelText?: string;
    open?: boolean;
    isLoading?: boolean;
    width?: number;
    className?: string;
    style?: React.CSSProperties;
};
declare class Modal extends React.PureComponent<Props> {
    static show: (config: any) => {
        setShow: null;
        mounted: boolean;
        hidden(): void;
        destory(): void;
    } | undefined;
    static hidden: () => void;
    renderFooter: () => React.JSX.Element | null;
    renderTop: () => React.JSX.Element;
    renderContent: () => any;
    render(): React.JSX.Element;
}
export default Modal;
