import React, { ReactNode } from 'react';
import { OptionProps, SelectProps } from 'antd/es/select';
export interface IOptionProps extends OptionProps {
}
export interface ISelect extends SelectProps<any> {
    request?: (params: any) => Promise<any>;
    valueEnum?: Record<string, any>;
    params?: Record<string, any>;
    onLoad?: (options: Record<string, any>[]) => void;
    children?: ReactNode;
}
export type IWSelectComponent = React.FC<ISelect> & {
    Option?: React.FC<IOptionProps>;
};
declare let Index: IWSelectComponent;
export default Index;
