export declare const getApiTree: (params?: any) => void;
export declare const groupAdd: (params?: any) => void;
export declare const groupModify: (params?: any) => void;
export declare const groupRemove: (params?: any) => void;
export declare const groupCopy: (params?: any) => void;
export declare const groupMove: (params?: any) => void;
export declare const groupPublish: (params?: any) => void;
export declare const apiAdd: (params?: any) => void;
export declare const apiModify: (params?: any) => void;
export declare const apiRemove: (params?: any) => void;
export declare const apiCopy: (params?: any) => void;
export declare const apiMove: (params?: any) => void;
export declare const treeList: {
    code: number;
    data: ({
        key: string;
        label: string;
        parentKey: string;
        children: never[];
        checked: boolean;
        group: {
            status: number;
            createdBy: null;
            createdName: null;
            createdTime: null;
            updatedBy: null;
            updatedName: null;
            updatedTime: null;
            id: string;
            name: string;
            path: string;
            parentId: string;
            type: null;
            sort: null;
            paths: null;
            options: null;
        };
        apiList: ({
            status: number;
            createdBy: null;
            createdName: null;
            createdTime: string;
            updatedBy: null;
            updatedName: null;
            updatedTime: string;
            id: string;
            name: string;
            method: string;
            uri: string;
            fullPath: string;
            groupId: string;
            description: null;
            headers: string;
            parameters: string;
            implScript: string;
            sort: null;
            responseParameters: string;
            change: boolean;
            publish: {
                status: number;
                createdBy: null;
                createdName: null;
                createdTime: string;
                updatedBy: null;
                updatedName: null;
                updatedTime: null;
                id: string;
                defineId: string;
                headers: string;
                parameters: string;
                implScript: string;
                publishStatus: number;
                method: null;
                uri: null;
                fullPath: null;
                responseParameters: null;
            };
        } | {
            status: number;
            createdBy: null;
            createdName: null;
            createdTime: string;
            updatedBy: null;
            updatedName: null;
            updatedTime: string;
            id: string;
            name: string;
            method: string;
            uri: string;
            fullPath: string;
            groupId: string;
            description: null;
            headers: string;
            parameters: string;
            implScript: string;
            sort: null;
            responseParameters: null;
            change: boolean;
            publish: null;
        })[];
    } | {
        key: string;
        label: string;
        parentKey: string;
        children: {
            key: string;
            label: string;
            parentKey: string;
            children: ({
                key: string;
                label: string;
                parentKey: string;
                children: never[];
                checked: boolean;
                group: {
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: null;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: null;
                    id: string;
                    name: string;
                    path: string;
                    parentId: string;
                    type: null;
                    sort: null;
                    paths: null;
                    options: null;
                };
                apiList: ({
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: string;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: string;
                    id: string;
                    name: string;
                    method: string;
                    uri: string;
                    fullPath: string;
                    groupId: string;
                    description: null;
                    headers: string;
                    parameters: string;
                    implScript: string;
                    sort: null;
                    responseParameters: null;
                    change: boolean;
                    publish: null;
                } | {
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: string;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: string;
                    id: string;
                    name: string;
                    method: string;
                    uri: string;
                    fullPath: string;
                    groupId: string;
                    description: null;
                    headers: string;
                    parameters: string;
                    implScript: string;
                    sort: null;
                    responseParameters: string;
                    change: boolean;
                    publish: null;
                })[];
            } | {
                key: string;
                label: string;
                parentKey: string;
                children: never[];
                checked: boolean;
                group: {
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: null;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: null;
                    id: string;
                    name: string;
                    path: string;
                    parentId: string;
                    type: null;
                    sort: null;
                    paths: null;
                    options: null;
                };
                apiList: ({
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: string;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: string;
                    id: string;
                    name: string;
                    method: string;
                    uri: string;
                    fullPath: string;
                    groupId: string;
                    description: null;
                    headers: string;
                    parameters: string;
                    implScript: string;
                    sort: null;
                    responseParameters: null;
                    change: boolean;
                    publish: {
                        status: number;
                        createdBy: null;
                        createdName: null;
                        createdTime: string;
                        updatedBy: null;
                        updatedName: null;
                        updatedTime: null;
                        id: string;
                        defineId: string;
                        headers: string;
                        parameters: string;
                        implScript: string;
                        publishStatus: number;
                        method: null;
                        uri: null;
                        fullPath: null;
                        responseParameters: null;
                    };
                } | {
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: string;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: string;
                    id: string;
                    name: string;
                    method: string;
                    uri: string;
                    fullPath: string;
                    groupId: string;
                    description: string;
                    headers: string;
                    parameters: string;
                    implScript: string;
                    sort: null;
                    responseParameters: null;
                    change: boolean;
                    publish: null;
                })[];
            })[];
            checked: boolean;
            group: {
                status: number;
                createdBy: null;
                createdName: null;
                createdTime: null;
                updatedBy: null;
                updatedName: null;
                updatedTime: null;
                id: string;
                name: string;
                path: string;
                parentId: string;
                type: null;
                sort: null;
                paths: null;
                options: null;
            };
            apiList: never[];
        }[];
        checked: boolean;
        group: {
            status: number;
            createdBy: null;
            createdName: null;
            createdTime: null;
            updatedBy: null;
            updatedName: null;
            updatedTime: null;
            id: string;
            name: string;
            path: string;
            parentId: string;
            type: null;
            sort: null;
            paths: null;
            options: null;
        };
        apiList: never[];
    } | {
        key: string;
        label: string;
        parentKey: string;
        children: {
            key: string;
            label: string;
            parentKey: string;
            children: never[];
            checked: boolean;
            group: {
                status: number;
                createdBy: null;
                createdName: null;
                createdTime: string;
                updatedBy: null;
                updatedName: null;
                updatedTime: null;
                id: string;
                name: string;
                path: string;
                parentId: string;
                type: null;
                sort: null;
                paths: null;
                options: null;
            };
            apiList: {
                status: number;
                createdBy: null;
                createdName: null;
                createdTime: string;
                updatedBy: null;
                updatedName: null;
                updatedTime: string;
                id: string;
                name: string;
                method: string;
                uri: string;
                fullPath: string;
                groupId: string;
                description: string;
                headers: string;
                parameters: string;
                implScript: string;
                sort: null;
                responseParameters: null;
                change: boolean;
                publish: {
                    status: number;
                    createdBy: null;
                    createdName: null;
                    createdTime: string;
                    updatedBy: null;
                    updatedName: null;
                    updatedTime: null;
                    id: string;
                    defineId: string;
                    headers: string;
                    parameters: string;
                    implScript: string;
                    publishStatus: number;
                    method: null;
                    uri: null;
                    fullPath: null;
                    responseParameters: null;
                };
            }[];
        }[];
        checked: boolean;
        group: {
            status: number;
            createdBy: null;
            createdName: null;
            createdTime: string;
            updatedBy: null;
            updatedName: null;
            updatedTime: null;
            id: string;
            name: string;
            path: string;
            parentId: string;
            type: null;
            sort: null;
            paths: null;
            options: null;
        };
        apiList: never[];
    })[];
};
