import React, { ReactNode } from 'react';
type Props = {
    title?: string | ReactNode;
    onOk?: (e: any) => void;
    onCancel?: (e: any) => void;
    closeCb?: () => void;
    footer?: ReactNode | boolean;
    content?: ReactNode;
    onClose?: () => void;
    okText?: string;
    cancelText?: string;
    open?: boolean;
    renderClose?: ReactNode;
    renderMin?: ReactNode;
    renderFullScreen?: ReactNode;
    destroyOnClose?: boolean;
    hiddenMask?: boolean;
    isDrag?: boolean;
    showFullscreen?: boolean;
    isResize?: boolean;
    width?: number;
    className?: string;
    wrapClassName?: string;
    fullscreenClassName?: string;
    ref?: any;
    style?: React.CSSProperties;
};
declare class Modal extends React.PureComponent<Props> {
    static show: (config: any) => {
        setShow: null;
        mounted: boolean;
        hidden(): void;
        destory(): void;
    } | undefined;
    static hidden: () => void;
    static destory: () => void;
    state: {
        isFullScreen: boolean;
    };
    renderFooter: () => React.JSX.Element | null;
    containerRef: React.RefObject<any>;
    titleRef: React.RefObject<any>;
    componentDidUpdate(prevProps: Readonly<Props>, prevState: Readonly<{}>, snapshot?: any): void;
    renderTop: () => React.JSX.Element;
    renderContent: () => any;
    render(): React.JSX.Element;
}
export default Modal;
